附件无法访问
出现此问题时,API 会返回 422 Unprocessable Content。其 type 为 https://lingo.dev/docs/api/errors/attachments-unreachable。所有错误的通用结构,请参阅错误与状态码。
无法将这些术语表应用于此引擎:<id>。每个术语表都必须属于该引擎所在的组织,并且对您可见。请从请求中移除这些术语表,或申请访问权限。
字段#
除标准的 type、status、title 和 detail 成员外,响应正文还包含以下字段。detail 文本由这些字段生成,因此客户端也可以显示自定义文本。
| 字段 | 类型 |
|---|---|
kind | "glossary" | "ruleset" | "brandVoice" |
ids | string[] |
示例#
json
{
"detail": "Cannot apply these glossaries to this engine: <id>. Each one must belong to the engine's organization and be visible to you. Leave them out of the request, or ask for access.",
"kind": "glossary",
"ids": [
"<id>"
],
"type": "https://lingo.dev/docs/api/errors/attachments-unreachable",
"status": 422,
"title": "Attachments out of reach"
}返回此错误的端点#
PATCH /v2/engines/{id}POST /v2/organizations/{orgId}/enginesPOST /v2/organizations/{orgId}/provisioning/jobsPUT /v2/engines/{id}/glossaries/{glossaryId}PUT /v2/engines/{id}/rulesets/{rulesetId}